summaryrefslogtreecommitdiff
path: root/tests/cp/r-vs-symlink
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cp/r-vs-symlink')
-rwxr-xr-xtests/cp/r-vs-symlink4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/cp/r-vs-symlink b/tests/cp/r-vs-symlink
index 3869507d6..9601fb619 100755
--- a/tests/cp/r-vs-symlink
+++ b/tests/cp/r-vs-symlink
@@ -1,7 +1,7 @@
#!/bin/sh
# cp -r should not create symlinks. Fixed in fileutils-4.1.5.
-# Copyright (C) 2001, 2002, 2004 Free Software Foundation, Inc.
+# Copyright (C) 2001, 2002, 2004, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -31,7 +31,7 @@ fi
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp;tmp=$t0/$$
-trap 'status=$?; cd $pwd; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0